<?xml version="1.0" encoding="utf-8"?>
<!-- DOCTYPE customization SYSTEM &quot;customization.dtd&quot; -->

<!--
    Sony-Ericsson Default Configuration Script.

    This XML file is parsed and executed during the first startup of the phone and during Master Reset / Reset Settings
    and will control the phones behaviour during these events.
-->

<customization>
      
   <!-- Information tags that will become visible in the phones service menu -->
   <info>
      <content-number>1225-3085</content-number>             <!-- The file system product number -->
      <content-revision>R1FA001</content-revision>              <!-- The file system revision number -->
      <language-variant-name>DEV</language-variant-name>	<!-- This tag must contain the installed language pack --> 
      <phone-name>C121</phone-name>
      <ms-type-id-string>AAD-3880029-BV</ms-type-id-string>
      <ksys-product-name>Sony Ericsson C121</ksys-product-name>
      <ksys-product-id>B11D,D11D,E11D,C11D,A11D,111D,011D,211D,311D</ksys-product-id>
      <ksys-modem-ifc-descr>Sony Ericsson IrDA Modem 11D,Sony Ericsson Device 11D USB WMC Modem,Sony Ericsson Bluetooth Modem 11D,Sony Ericsson Serial Modem 11D,Sony Ericsson Device 11D USB WMC Data Modem</ksys-modem-ifc-descr>
      <ksys-obex-ifc-descr-usb>Sony Ericsson Device 11D USB WMC OBEX Interface</ksys-obex-ifc-descr-usb>
      <ksys-dev-mgmt-ifc_descr-usb>Sony Ericsson Device 11D USB WMC Device Management</ksys-dev-mgmt-ifc_descr-usb>
      <ksys-cdc-eth-ifc-descr-usb>Sony Ericsson Device 11D USB Ethernet Emulation (WDM)</ksys-cdc-eth-ifc-descr-usb>
   </info>

   
   
   <!-- Init the applications -->
   <!-- Init of Messaging applications: Copy the default settings files         -->
   <!-- Copy def_acc.dat, account.dat, sms_cust.xml, mms_cust.xml, cb_cust.xml, -->
   <!-- voicemail_cust.xml and ui_settings.xml to the destination folder        -->
   <email>
      
   </email>
   <files>
      <copy source="/card/CDAinfo.txt" dest="/tpa/preset/default/MS_CDAinfo.txt" attr="r" />
   </files>
   <mms>
      
   </mms>
   <postcard-settings>
      
   </postcard-settings>
   <webstorage-settings>
      
   </webstorage-settings>
   
   
   
   <!-- Init Internet accounts: Delete all internet accounts -->
   <internet> 
      
   </internet>

  

  <streaming>     <firewall-traversal-interval>00000</firewall-traversal-interval>   </streaming>

  <!-- Init WAP: Clear WAP profiles, bookmarks, cookies etc -->
   <wap> 	    <!-- Add predefined bookmarks etc. in this tag --> 
      
   </wap>
   <cell-broadcast>
      
   </cell-broadcast>
   <sms>
      
   </sms>
   <wireless-village>
      
   </wireless-village>

   <!-- Init PIM functionality: Clear all contacts, events and notes          -->
   <organizer>     <!-- Add predefined calendar events and notes in this tag -->  
      <calendar>     <settings>       <reminders>power-on</reminders>       <week-start-day>0</week-start-day>     </settings>   </calendar>
   </organizer>
   <phonebook>     <!-- Add predefined phonebook contacts in this tag        -->  
      
   </phonebook>
   <ui-phonebook>
      <registry>
         <settings reg-path="/apps/ui-phonebook">
            <filtered-search>false</filtered-search>
         </settings>
      </registry>
   </ui-phonebook>
   <clock>
      <date>2009-03-19</date>
   </clock>

   <!-- Init DRM: Clear the DRM database -->
   <drm>
      
   </drm>

   <!-- Init security: Clear all certificates and other security settings -->
   <security> <!-- Add predefined security certificates in this tag -->
      <!-- Java Manufacture certificate-->   <certificate>     <name>Sony Ericsson</name>     <type>x509</type>     <storage>java-manufacturer</storage>     <datafile>SonyEricsson_Java_Manufacturer_CA.crt</datafile>   </certificate>   <!-- Sony Ericsson default offering - Trusted Certificates for Java -->   <certificate>     <name>GeoTrust CA for UTI</name>     <type>x509</type>     <storage>java-3p</storage>     <datafile>Utiroot.cer</datafile>   </certificate>   <certificate>     <name>Thawte Premium Server CA</name>     <type>x509</type>     <storage>java-3p</storage>     <datafile>ThawtePremium.cer</datafile>   </certificate>   <certificate>     <name>VeriSign Class 3</name>     <type>x509</type>     <storage>java-3p</storage>     <datafile>VeriSignClass3Root.cer</datafile>   </certificate>   <!-- Sony Ericsson default offering - Trusted Certificates for TLS/SSL -->   <certificate>     <name>Entrust.net Root</name>     <type>x509</type>     <storage>trusted</storage>     <datafile>Entrust.netRootCertificate.cer</datafile>   </certificate>   <certificate>     <name>Equifax Sec Cert Auth</name>     <type>x509</type>     <storage>trusted</storage>     <datafile>Equifax_Sec_Cert_Auth.crt</datafile>   </certificate>   <certificate>     <name>GlobalSign Root CA</name>     <type>x509</type>     <storage>trusted</storage>     <datafile>GlobalSign.cer</datafile>   </certificate>   <!-- Sony Ericsson E2E certificate for FOTA and PlayNow-->   <certificate>     <name>Sony Ericsson E2E</name>     <type>x509</type>     <storage>trusted</storage>     <datafile>SEMC_E2E_Root_CA.crt</datafile>   </certificate>   <certificate>     <name>Thawte Premium Server CA</name>     <type>x509</type>     <storage>trusted</storage>     <datafile>ThawtePremiumServerCA.cer</datafile>   </certificate>   <certificate>     <name>Thawte Server CA</name>     <type>x509</type>     <storage>trusted</storage>     <datafile>ThawteServerCA.cer</datafile>   </certificate>   <certificate>     <name>VeriSign Class 3</name>     <type>x509</type>     <storage>trusted</storage>     <datafile>VeriSignClass3Root.cer</datafile>   </certificate>   <certificate>     <name>VeriSign Class 3 CA</name>     <type>x509</type>     <storage>trusted</storage>     <datafile>C3_PCA_G3v2.cer</datafile>   </certificate> <!-- Java Manufacture Test certificate - Only in DEV filesystems after OA2 freeze! -->   <certificate>     <name>Sony Ericsson Test</name>     <type>x509</type>     <storage>java-manufacturer</storage>     <datafile>SonyEricsson_Test_Java_Manufacturer_CA.crt</datafile>   </certificate>   <!-- X.509 Certificates PlayNow test server -->   <certificate>     <name>PlayNow-testserver</name>     <type>x509</type>     <storage>trusted</storage>     <datafile>PlayNow_Test_Root_CA.crt</datafile>     <issuer-id>F456C21BA20E52072F24AAEAC4AD85D019471D9A</issuer-id>     <subject-id>F456C21BA20E52072F24AAEAC4AD85D019471D9A</subject-id>   </certificate>   <!-- Certificate UMA/GAN test network -->   <certificate>     <name>UMA/GAN test network</name>     <type>x509</type>     <storage>trusted</storage>     <datafile>ClavisterTestCA.cer</datafile>   </certificate>
   </security>
   
   <!-- Init Network: Clear the network emergency list -->
   <network>
      <enable-r97-dynamic-switch>true</enable-r97-dynamic-switch>
   </network>

   <!-- Enable/disable HSUPA -->
   
   
   <!-- Enable/disable CPHS -->
   
   
   <!-- Add support for A-GPS MS-A mode -->
   
   
   <!-- Set GDFS ID 332, GD_NS_Cause12_Equals_Cause13 -->
   

   <!-- Init Java: Delete all &quot;deletable&quot; java applications. --> 
   <java>          <!-- Add predefined Java applications in this tag -->  
	   <!-- Common -->   
      <midlet deletable="false" upgradeable="true" install="true" folder="applications"> 		  <jad-file>java/ComeksMIDlet.jad</jad-file> 		  <jar-file>java/ComeksMIDlet.jar</jar-file> 	   </midlet> <midlet deletable="false" upgradeable="true" install="true" folder="applications"> 		  <jad-file>java/AccuWeatherLight.jad</jad-file> 		  <jar-file>java/AccuWeatherLight.jar</jar-file> 	   </midlet> <midlet deletable="false" upgradeable="true" install="true" folder="applications"> 		  <jad-file>java/YouTube.jad</jad-file> 		  <jar-file>java/YouTube.jar</jar-file> 	   </midlet> <midlet deletable="false" upgradeable="true" install="true" folder="games"> 		  <jad-file>java/BubbleTown.jad</jad-file> 		  <jar-file>java/BubbleTown.jar</jar-file> 	   </midlet> <midlet deletable="false" upgradeable="true" install="true" folder="games"> 		  <jad-file>java/RealFootball_2008.jad</jad-file> 		  <jar-file>java/RealFootball_2008.jar</jar-file> 	   </midlet> <midlet deletable="false" upgradeable="true" install="true" folder="applications"> 		  <jad-file>java/EmotionalPIM.jad</jad-file> 		  <jar-file>java/EmotionalPIM.jar</jar-file> 	   </midlet> <midlet deletable="false" upgradeable="true" install="true" folder="applications"> 			  <jad-file>java/Snapfish.jad</jad-file> 			  <jar-file>java/Snapfish.jar</jar-file> 		   </midlet>
      <!-- Test -->
      
      <!-- Browser apps -->
       
     <!-- Multimedia apps -->
     
      <!-- Java User Agent string-->
      
      <!-- Doja Games -->
      
     <!-- Java Permission Policies -->
     <registry>
       <java>
         <settings reg-path="/apps/java">
           
         </settings>
       </java>
     </registry>
   </java> 

   <!-- Handle default contents. -->
   <media>

      <!-- Links will be automatically created at first start up -->
      

   </media>

   <mmi>
      <profile id="0">

        <alarm-signal>Greeting.mp3</alarm-signal>
        <ring-signal>tpa/user/music/Sony Ericsson.mid</ring-signal>

      </profile>
      <settings>
         

         <default-theme>Cyber-shot.thm</default-theme>
         <demo-mode-video>Demo tour.mp4</demo-mode-video>

      </settings>
   </mmi>
   
   <messaging>

      <message-alert-directory>tpa/user/music/ringtones</message-alert-directory>    <message-alert-filename>Sinus.m4a</message-alert-filename>    <message-alert-predefined-index>2</message-alert-predefined-index>

   </messaging>
<use-old-cust>false</use-old-cust> 
   <fota>

     <settings reg-path="/apps/fota">     <account>       <account-default>SonyEricsson</account-default>     </account>   </settings>

   </fota>
   <dm>

     <settings reg-path="/apps/dm">     <semc-fota-acc>       <placeholder-name>SonyEricsson</placeholder-name>       <displayable-name>Sony Ericsson</displayable-name>       <user-editable>0</user-editable>       <server-address>https://prod.dm.sonyericsson.com/dmserver10/fota</server-address>       <rx-username>void</rx-username>       <rx-password>void</rx-password>       <server-id>SonyEricsson</server-id>       <tx-username>void</tx-username>       <tx-password>void</tx-password>       <tx-auth-type>0</tx-auth-type>       <security-group>4</security-group>     </semc-fota-acc>     <r2r-acc>       <placeholder-name>R2R</placeholder-name>       <displayable-name>R2R</displayable-name>       <user-editable>0</user-editable>       <server-address>https://prod.dm.sonyericsson.com/dmserver10/r2r</server-address>       <rx-username>void</rx-username>       <rx-password>void</rx-password>       <server-id>R2R</server-id>       <tx-username>void</tx-username>       <tx-password>void</tx-password>       <tx-auth-type>0</tx-auth-type>       <security-group>4</security-group>     </r2r-acc>     <dm-acc>       <up-app-lock>0</up-app-lock>       <account id="1">         <placeholder-name>EmailWizard</placeholder-name>         <displayable-name>Email Wizard</displayable-name>         <user-editable>0</user-editable>         <server-address>https://prod.dm.sonyericsson.com/dmserver10/email</server-address>         <rx-username>void</rx-username>         <rx-password>void</rx-password>         <server-id>EmailWizard</server-id>         <tx-username>void</tx-username>         <tx-password>void</tx-password>         <tx-auth-type>0</tx-auth-type>         <security-group>4</security-group>         <is-hidden-in-tree>1</is-hidden-in-tree>       </account>     </dm-acc>   </settings>

   </dm>
   <ready-to-run>

     <settings reg-path="/apps/ready-to-run">     <reg-sms type="wstr">46737494040</reg-sms>     <dm-account-used>R2R</dm-account-used>     <dm-account-used-jit>R2R</dm-account-used-jit>     <jit-dm-account>EmailWizard</jit-dm-account>   </settings>

   </ready-to-run>
   <use-old-cust>true</use-old-cust>
   <registry>
     <!-- C&C registry settings-->

     <call-handling>    <settings reg-path="/apps/call-handling">       <ui>          <ringtone-path-line1>tpa/user/music/Sony Ericsson.mid</ringtone-path-line1>       </ui>    </settings>  </call-handling>  <email>    <settings reg-path="/apps/msg-email">       <default-values>          <message-alert-filename>Bright.m4a</message-alert-filename>          <message-alert-directory>tpa/user/music/ringtones</message-alert-directory>          <message-alert-predefined-index>2</message-alert-predefined-index>       </default-values>    </settings>  </email>  <ui>  <settings reg-path="/apps/ui">    <standby>       <startup-sound-path-semc>tpa/preset/system/settings/STARTUP_SOUND_SEMC.mid</startup-sound-path-semc>    </standby>  </settings> </ui>


     <ui>
       <reg-op op="purge" reg-path="/apps/ui/shortcut-list" />
       <settings reg-path="/apps/ui">
         <!-- Rokcer Keys -->
         <shortcut>
           <key id="nav-up">    <name>Camera</name>    <vendor-name>no-name</vendor-name>    <entry-point>no-name</entry-point>    <state>activated</state>       <type>standard-item</type>    <action-type>short-press</action-type>   </key>   <key id="nav-right">    <name>no-name</name>    <vendor-name>no-name</vendor-name>    <entry-point>no-name</entry-point>    <state>none</state>    <type>standard-item</type>    <action-type>short-press</action-type>   </key>   <key id="nav-down">    <name>Phonebook</name>    <vendor-name>no-name</vendor-name>    <entry-point>no-name</entry-point>    <state>activated</state>    <type>standard-item</type>    <action-type>short-press</action-type>   </key>   <key id="nav-left">    <name>Msg_WriteNew</name>    <vendor-name>no-name</vendor-name>    <entry-point>no-name</entry-point>    <state>activated</state>    <type>standard-item</type>    <action-type>short-press</action-type>   </key>
         </shortcut>
         <!-- SHORTCUS -->
         <shortcut-list>
           <item id = "0"><name>BlueTooth_Settings</name> <vendor-name>no-name</vendor-name> <entry-point>no-name</entry-point> <type>standard-item</type> </item>
           <item id = "1"><name>UI_SilentMode_Setting_Id</name> <vendor-name>no-name</vendor-name> <entry-point>no-name</entry-point> <type>standard-item</type> </item>
           <item id = "2"><name>MusicRecognition</name> <vendor-name>no-name</vendor-name> <entry-point>no-name</entry-point> <type>standard-item</type> </item>
           <item id = "3"><name>Positioning_Maps_Id</name> <vendor-name>no-name</vendor-name> <entry-point>no-name</entry-point> <type>standard-item</type> </item>
           <item id = "4"><name>Menu_CalendarMain</name> <vendor-name>no-name</vendor-name> <entry-point>no-name</entry-point> <type>standard-item</type> </item>
           <item id = "5"><name>Msg_WriteNew</name> <vendor-name>no-name</vendor-name> <entry-point>no-name</entry-point> <type>standard-item</type> </item>
           <item id = "6"><name>MainMenu</name> <vendor-name>no-name</vendor-name> <entry-point>no-name</entry-point> <type>main-menu-item</type> </item>
           
           
           
         </shortcut-list>
        <light-effects>       <light-effects-preference>1</light-effects-preference>     </light-effects>
       </settings>
     </ui>
     <browser>
       <settings reg-path="/apps/browser">
         
	   </settings>
     </browser>
     <!-- Handles chinease usb menu (DMS00522947) -->
     <usb>
       <settings reg-path="/apps/usb">
         <china-usb-menu type="uint">0</china-usb-menu> <usb-mode type="uint">0</usb-mode>
       </settings>
     </usb>  
     </registry> 

</customization>